From e3291e2227da1e80397b86a77d5c8855634685f1 Mon Sep 17 00:00:00 2001
From: Slaven Rezic <slaven@rezic.de>
Date: Sat, 12 Oct 2024 19:34:54 +0200
Subject: [PATCH] replace smartmatch by match::smart (RT #156063)

---
 lib/Perinci/Import.pm | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/lib/Perinci/Import.pm b/lib/Perinci/Import.pm
index 0325ed7..74e4e1d 100644
--- a/lib/Perinci/Import.pm
+++ b/lib/Perinci/Import.pm
@@ -3,7 +3,7 @@ package Perinci::Import;
 use 5.010001;
 use strict;
 use warnings;
-use experimental 'smartmatch';
+use match::smart;
 
 our $VERSION = '0.03'; # VERSION
 
@@ -19,7 +19,6 @@ sub import {
 
     my %exports;
     my $metas = do { no warnings; no strict 'refs'; \%{"$mod\::SPEC"} };
-    use experimental 'smartmatch';
 
     $metas //= {};
     for my $k (keys %$metas) {
@@ -54,7 +53,7 @@ sub import {
     for my $imp (@imps) {
         my @syms; # symbols from imported module
         if ($imp->{-sym} =~ s/^://) {
-            @syms = grep {$imp->{-sym} ~~ $exports{$_}{tags}} keys %exports;
+            @syms = grep {$imp->{-sym} |M| $exports{$_}{tags}} keys %exports;
         } else {
             @syms = ($imp->{-sym});
         }
-- 
2.11.0

